# Create Booking

### Authenticating Your Access&#x20;

To create a booking, you must authenticate your access. To learn how, refer to [Authentication](https://docs.evently.live/reference/api-reference/bookings/broken-reference).

## Create booking

<mark style="color:green;">`POST`</mark> `/api/v1/booking`

#### Headers

| Name                                      | Type   | Description    |
| ----------------------------------------- | ------ | -------------- |
| x-token<mark style="color:red;">\*</mark> | String | Token provided |

#### Request Body

| Name                                          | Type    | Description                         |
| --------------------------------------------- | ------- | ----------------------------------- |
| section\_id<mark style="color:red;">\*</mark> | String  | Section id                          |
| quantity<mark style="color:red;">\*</mark>    | Number  | Booking quantity                    |
| isCrypto<mark style="color:red;">\*</mark>    | Boolean | If type of payment is crypto or not |
| isWeb<mark style="color:red;">\*</mark>       | Boolean | Images list                         |
| country                                       | String  | Event country                       |
| province                                      | String  | Event province                      |
| city                                          | String  | Event city                          |
| place                                         | String  | Event Place                         |
| address                                       | String  | Event address                       |
| price                                         | Number  | Booking price                       |
| area                                          | String  | Booking area                        |
| name                                          | String  | Booking name                        |

{% tabs %}
{% tab title="200: OK Everything its OK " %}

```javascript
{
    "reference": "NSDuhX",
    "url": "https://test-chronos-wallet.pantheonsite.io/pagar/586802150"
}
```

{% endtab %}

{% tab title="401: Unauthorized If you dont provide the access token" %}

```json
{
    "msg": "No token, authorization denied"
}
```

{% endtab %}

{% tab title="401: Unauthorized If token has expired or its invalid" %}

```javascript
{
    "msg": "Invalid token"
}
```

{% endtab %}
{% endtabs %}

### Example

{% tabs %}
{% tab title="Request" %}

```json
{
	"section_id": "322a0248-72af-4f1d-9a96-72c5f21e5425",
	"quantity":2,
	"isWeb": true,
	"isCrypto": false
}
```

{% endtab %}

{% tab title="Response" %}

```json
{
    "reference": "NSDuhX",
    "url": "https://test-chronos-wallet.pantheonsite.io/pagar/586802150"
}
```

{% endtab %}
{% endtabs %}
